package com.ssj.framework.weixin.card.qrcode;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;


public class CardCode implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 7656670542244267488L;
	/**
	 * 	指定二维码的有效时间，范围是60 ~ 1800秒。不填默认为永久有效。
	 */
	private String expire_seconds;
	/**
	 * 	二维码类型，QR_CARD
	 */
	private String action_name;
	
	private Map<String ,CardCodeCode > action_info ;
	
	
	public  CardCode(){
		super();
	}
	/*
	 * 创建一张二维码
	 */
	public CardCode  (String expire_seconds ,String action_name  ,  CardCodeCode  cardCodeCode){
		this.action_name = action_name ;
		this.expire_seconds = expire_seconds ;
		Map<String ,CardCodeCode > map  = new HashMap<String, CardCodeCode>();
		map.put("action_info", cardCodeCode);
		this.action_info = map;
	}
	/*
	 * 创建一张二维码
	 */
	public CardCode  (CardCodeCode  cardCodeCode){
		this.action_name = "QR_CARD" ;
		this.expire_seconds = "1800" ;
		Map<String ,CardCodeCode > map  = new HashMap<String, CardCodeCode>();
		map.put("action_info", cardCodeCode);
		this.action_info = map;
	}
	public String getExpire_seconds() {
		return expire_seconds;
	}
	public void setExpire_seconds(String expire_seconds) {
		this.expire_seconds = expire_seconds;
	}
	public String getAction_name() {
		return action_name;
	}
	public void setAction_name(String action_name) {
		this.action_name = action_name;
	}
	public Map<String, CardCodeCode> getAction_info() {
		return action_info;
	}
	public void setAction_info(Map<String, CardCodeCode> action_info) {
		this.action_info = action_info;
	}

	
	

}
